summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2014-07-28 19:04:36 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-03 16:32:42 +0700
commitcc2418d7293eb269cc4f3b54ac965601063bc342 (patch)
tree54c5a833d8b51b47239832cde160133add3aad55 /games
parentadbbab2b1eaaa9194d35f031a9aa3168c0d19dbd (diff)
downloadslackbuilds-cc2418d7293eb269cc4f3b54ac965601063bc342.tar.gz
slackbuilds-cc2418d7293eb269cc4f3b54ac965601063bc342.tar.xz
games/gottet: Added (A basic tetris clone)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/gottet/README1
-rw-r--r--games/gottet/doinst.sh9
-rw-r--r--games/gottet/gottet.SlackBuild75
-rw-r--r--games/gottet/gottet.info10
-rw-r--r--games/gottet/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/games/gottet/README b/games/gottet/README
new file mode 100644
index 0000000000..eb670fbd26
--- /dev/null
+++ b/games/gottet/README
@@ -0,0 +1 @@
+gottet is a simple tetris clone.
diff --git a/games/gottet/doinst.sh b/games/gottet/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/gottet/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/gottet/gottet.SlackBuild b/games/gottet/gottet.SlackBuild
new file mode 100644
index 0000000000..a603c3f861
--- /dev/null
+++ b/games/gottet/gottet.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for gottet
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=gottet
+VERSION=${VERSION:-1.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake PREFIX=/usr
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog CREDITS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gottet/gottet.info b/games/gottet/gottet.info
new file mode 100644
index 0000000000..281e23f576
--- /dev/null
+++ b/games/gottet/gottet.info
@@ -0,0 +1,10 @@
+PRGNAM="gottet"
+VERSION="1.0.6"
+HOMEPAGE="http://gottcode.org/gottet/"
+DOWNLOAD="http://gottcode.org/gottet/gottet-1.0.6-src.tar.bz2"
+MD5SUM="cacc0861304ee161451bb4ea3c8246d9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/games/gottet/slack-desc b/games/gottet/slack-desc
new file mode 100644
index 0000000000..d0b09707b6
--- /dev/null
+++ b/games/gottet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gottet: gottet (A basic tetris clone)
+gottet:
+gottet: gottet is a simple tetris clone.
+gottet:
+gottet:
+gottet:
+gottet:
+gottet:
+gottet:
+gottet: http://gottcode.org/gottet/
+gottet: